Page MenuHomePhabricator

[RISCV] Add option aliases: -mcmodel=medany and -mcmodel=medlow
ClosedPublic

Authored by kito-cheng on Sep 2 2019, 2:14 AM.

Details

Summary

RISC-V GCC use -mcmodel=medany and -mcmodel=medlow, but LLVM use -mcmodel=small and -mcmodel=medium.

Add those two option aliases to provide same user interface between GCC and LLVM.

Diff Detail

Event Timeline

kito-cheng created this revision.Sep 2 2019, 2:14 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 2 2019, 2:14 AM
lenary accepted this revision.Sep 12 2019, 5:40 AM

Looks good to me!

This revision is now accepted and ready to land.Sep 12 2019, 5:40 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptSep 17 2019, 1:18 AM